Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Ne20GEMCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Ne20GEMCoulombBarrier.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Ne20GEMCoulombBarrier.hh	(revision 1196)
@@ -25,20 +25,28 @@
 //
 //
-// $Id: G4Ne20GEMCoulombBarrier.hh,v 1.3 2006/06/29 20:18:57 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Ne20GEMCoulombBarrier.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Dec 1999)
-
+//
+//J.M. Quesada (July 2009) Coulomb barrier now derives from new class G4GEMCoulombBarrier
+// strictly according to Furihata's report
+//
 #ifndef G4Ne20GEMCoulombBarrier_h
 #define G4Ne20GEMCoulombBarrier_h 1
 
-#include "G4GEMCoulombBarrierHE.hh"
+//#include "G4GEMCoulombBarrierHE.hh"
+#include "G4GEMCoulombBarrier.hh"
 #include "globals.hh"
 
-class G4Ne20GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+//JMQ 200709 now derives from new class G4GEMCoulombBarrier
+//class G4Ne20GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+class G4Ne20GEMCoulombBarrier : public G4GEMCoulombBarrier
 {
 public:
-  G4Ne20GEMCoulombBarrier() : G4GEMCoulombBarrierHE(20,10) {};
+//JMQ 200709
+//  G4Ne20GEMCoulombBarrier() : G4GEMCoulombBarrierHE(20,10) {};
+  G4Ne20GEMCoulombBarrier() : G4GEMCoulombBarrier(20,10) {};
   ~G4Ne20GEMCoulombBarrier() {};
 
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Ne20GEMProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Ne20GEMProbability.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Ne20GEMProbability.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Ne20GEMProbability.hh,v 1.3 2006/06/29 20:18:59 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Ne20GEMProbability.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Ne21GEMChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Ne21GEMChannel.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Ne21GEMChannel.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Ne21GEMChannel.hh,v 1.3 2006/06/29 20:19:01 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Ne21GEMChannel.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Ne21GEMCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Ne21GEMCoulombBarrier.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Ne21GEMCoulombBarrier.hh	(revision 1196)
@@ -25,20 +25,28 @@
 //
 //
-// $Id: G4Ne21GEMCoulombBarrier.hh,v 1.3 2006/06/29 20:19:03 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Ne21GEMCoulombBarrier.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Dec 1999)
-
+//
+//J.M. Quesada (July 2009) Coulomb barrier now derives from new class G4GEMCoulombBarrier
+// strictly according to Furihata's report
+//
 #ifndef G4Ne21GEMCoulombBarrier_h
 #define G4Ne21GEMCoulombBarrier_h 1
 
-#include "G4GEMCoulombBarrierHE.hh"
+//#include "G4GEMCoulombBarrierHE.hh"
+#include "G4GEMCoulombBarrier.hh"
 #include "globals.hh"
 
-class G4Ne21GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+//JMQ 200709 now derives from new class G4GEMCoulombBarrier
+//class G4Ne21GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+class G4Ne21GEMCoulombBarrier : public G4GEMCoulombBarrier
 {
 public:
-  G4Ne21GEMCoulombBarrier() : G4GEMCoulombBarrierHE(21,10) {};
+//JMQ 200709
+//  G4Ne21GEMCoulombBarrier() : G4GEMCoulombBarrierHE(21,10) {};
+  G4Ne21GEMCoulombBarrier() : G4GEMCoulombBarrier(21,10) {};
   ~G4Ne21GEMCoulombBarrier() {};
 
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Ne21GEMProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Ne21GEMProbability.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Ne21GEMProbability.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Ne21GEMProbability.hh,v 1.3 2006/06/29 20:19:05 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Ne21GEMProbability.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Ne22GEMChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Ne22GEMChannel.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Ne22GEMChannel.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Ne22GEMChannel.hh,v 1.3 2006/06/29 20:19:07 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Ne22GEMChannel.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Ne22GEMCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Ne22GEMCoulombBarrier.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Ne22GEMCoulombBarrier.hh	(revision 1196)
@@ -25,20 +25,28 @@
 //
 //
-// $Id: G4Ne22GEMCoulombBarrier.hh,v 1.3 2006/06/29 20:19:09 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Ne22GEMCoulombBarrier.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Dec 1999)
-
+//
+//J.M. Quesada (July 2009) Coulomb barrier now derives from new class G4GEMCoulombBarrier
+// strictly according to Furihata's report
+//
 #ifndef G4Ne22GEMCoulombBarrier_h
 #define G4Ne22GEMCoulombBarrier_h 1
 
-#include "G4GEMCoulombBarrierHE.hh"
+//#include "G4GEMCoulombBarrierHE.hh"
+#include "G4GEMCoulombBarrier.hh"
 #include "globals.hh"
 
-class G4Ne22GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+//JMQ 200709 now derives from new class G4GEMCoulombBarrier
+//class G4Ne22GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+class G4Ne22GEMCoulombBarrier : public G4GEMCoulombBarrier
 {
 public:
-  G4Ne22GEMCoulombBarrier() : G4GEMCoulombBarrierHE(22,10) {};
+//JMQ 200709
+//  G4Ne22GEMCoulombBarrier() : G4GEMCoulombBarrierHE(22,10) {};
+  G4Ne22GEMCoulombBarrier() : G4GEMCoulombBarrier(22,10) {};
   ~G4Ne22GEMCoulombBarrier() {};
 
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Ne22GEMProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Ne22GEMProbability.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Ne22GEMProbability.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Ne22GEMProbability.hh,v 1.3 2006/06/29 20:19:11 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Ne22GEMProbability.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Ne23GEMChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Ne23GEMChannel.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Ne23GEMChannel.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Ne23GEMChannel.hh,v 1.3 2006/06/29 20:19:13 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Ne23GEMChannel.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Ne23GEMCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Ne23GEMCoulombBarrier.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Ne23GEMCoulombBarrier.hh	(revision 1196)
@@ -25,20 +25,28 @@
 //
 //
-// $Id: G4Ne23GEMCoulombBarrier.hh,v 1.3 2006/06/29 20:19:15 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Ne23GEMCoulombBarrier.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Dec 1999)
-
+//
+//J.M. Quesada (July 2009) Coulomb barrier now derives from new class G4GEMCoulombBarrier
+// strictly according to Furihata's report
+//
 #ifndef G4Ne23GEMCoulombBarrier_h
 #define G4Ne23GEMCoulombBarrier_h 1
 
-#include "G4GEMCoulombBarrierHE.hh"
+//#include "G4GEMCoulombBarrierHE.hh"
+#include "G4GEMCoulombBarrier.hh"
 #include "globals.hh"
 
-class G4Ne23GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+//JMQ 200709 now derives from new class G4GEMCoulombBarrier
+//class G4Ne23GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+class G4Ne23GEMCoulombBarrier : public G4GEMCoulombBarrier
 {
 public:
-  G4Ne23GEMCoulombBarrier() : G4GEMCoulombBarrierHE(23,10) {};
+//JMQ 200709
+//  G4Ne23GEMCoulombBarrier() : G4GEMCoulombBarrierHE(23,10) {};
+  G4Ne23GEMCoulombBarrier() : G4GEMCoulombBarrier(23,10) {};
   ~G4Ne23GEMCoulombBarrier() {};
 
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Ne23GEMProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Ne23GEMProbability.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Ne23GEMProbability.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Ne23GEMProbability.hh,v 1.3 2006/06/29 20:19:17 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Ne23GEMProbability.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Ne24GEMChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Ne24GEMChannel.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Ne24GEMChannel.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Ne24GEMChannel.hh,v 1.3 2006/06/29 20:19:19 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Ne24GEMChannel.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Ne24GEMCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Ne24GEMCoulombBarrier.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Ne24GEMCoulombBarrier.hh	(revision 1196)
@@ -25,20 +25,28 @@
 //
 //
-// $Id: G4Ne24GEMCoulombBarrier.hh,v 1.3 2006/06/29 20:19:21 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Ne24GEMCoulombBarrier.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Dec 1999)
-
+//
+//J.M. Quesada (July 2009) Coulomb barrier now derives from new class G4GEMCoulombBarrier
+// strictly according to Furihata's report
+//
 #ifndef G4Ne24GEMCoulombBarrier_h
 #define G4Ne24GEMCoulombBarrier_h 1
 
-#include "G4GEMCoulombBarrierHE.hh"
+//#include "G4GEMCoulombBarrierHE.hh"
+#include "G4GEMCoulombBarrier.hh"
 #include "globals.hh"
 
-class G4Ne24GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+//JMQ 200709 now derives from new class G4GEMCoulombBarrier
+//class G4Ne24GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+class G4Ne24GEMCoulombBarrier : public G4GEMCoulombBarrier
 {
 public:
-  G4Ne24GEMCoulombBarrier() : G4GEMCoulombBarrierHE(24,10) {};
+//JMQ 200709
+//  G4Ne24GEMCoulombBarrier() : G4GEMCoulombBarrierHE(24,10) {};
+  G4Ne24GEMCoulombBarrier() : G4GEMCoulombBarrier(24,10) {};
   ~G4Ne24GEMCoulombBarrier() {};
 
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Ne24GEMProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Ne24GEMProbability.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Ne24GEMProbability.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Ne24GEMProbability.hh,v 1.3 2006/06/29 20:19:23 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Ne24GEMProbability.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4NeutronGEMChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4NeutronGEMChannel.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4NeutronGEMChannel.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4NeutronGEMChannel.hh,v 1.3 2006/06/29 20:19:25 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4NeutronGEMChannel.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4NeutronGEMProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4NeutronGEMProbability.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4NeutronGEMProbability.hh	(revision 1196)
@@ -25,11 +25,12 @@
 //
 //
-// $Id: G4NeutronGEMProbability.hh,v 1.4 2006/06/29 20:19:27 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4NeutronGEMProbability.hh,v 1.5 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Nov 1999) 
 //
-
+// J.M. Quesada (July 2009) alpha's and beta's  values according to Furihata's paper 
+// (based on notes added on proof in Dostrovskii's paper)
 
 
@@ -44,37 +45,41 @@
 {
 public:
-    // Only available constructor
-    G4NeutronGEMProbability();
-		
-    ~G4NeutronGEMProbability() {}
+  // Only available constructor
+  G4NeutronGEMProbability();
+  
+  ~G4NeutronGEMProbability() {}
 private:  
-    // Copy constructor
-    G4NeutronGEMProbability(const G4NeutronGEMProbability &right);
-
-    const G4NeutronGEMProbability & operator=(const G4NeutronGEMProbability &right);
-    G4bool operator==(const G4NeutronGEMProbability &right) const;
-    G4bool operator!=(const G4NeutronGEMProbability &right) const;
+  // Copy constructor
+  G4NeutronGEMProbability(const G4NeutronGEMProbability &right);
   
-
+  const G4NeutronGEMProbability & operator=(const G4NeutronGEMProbability &right);
+  G4bool operator==(const G4NeutronGEMProbability &right) const;
+  G4bool operator!=(const G4NeutronGEMProbability &right) const;
+  
+  
 private:
-    
-    virtual G4double CalcAlphaParam(const G4Fragment & fragment) const 
-        {
-            return 0.76+2.2/std::pow(static_cast<G4double>(fragment.GetA()-GetA()),1.0/3.0);
-        }
-	
-    virtual G4double CalcBetaParam(const G4Fragment & fragment) const 
-        {
-            return (2.12/std::pow(static_cast<G4double>(fragment.GetA()-GetA()),2.0/3.0)-0.05)*MeV/
-	      CalcAlphaParam(fragment);
-        }
-    
-    // Excitation energy levels 
-    std::vector<G4double> ExcitEnergies;
-    // Spin of excitation energy levels 
-    std::vector<G4double> ExcitSpins;
-
-    std::vector<G4double> ExcitLifetimes;
-    
+  
+  virtual G4double CalcAlphaParam(const G4Fragment & fragment) const 
+  {
+    //JMQ 190709 values according to Furihata's paper (based on notes added on proof in Dostrovskii's paper)
+    //            return 0.76+2.2/std::pow(static_cast<G4double>(fragment.GetA()-GetA()),1.0/3.0);
+    return 0.76+1.93/std::pow(static_cast<G4double>(fragment.GetA()-GetA()),1.0/3.0);
+  }
+  
+  virtual G4double CalcBetaParam(const G4Fragment & fragment) const 
+  {
+    //JMQ 190709 values according to Furihata's paper (based on notes added on proof in Dostrovskii's paper)
+    //            return (2.12/std::pow(static_cast<G4double>(fragment.GetA()-GetA()),2.0/3.0)-0.05)*MeV/
+    return (1.66/std::pow(static_cast<G4double>(fragment.GetA()-GetA()),2.0/3.0)-0.05)*MeV/
+      CalcAlphaParam(fragment);
+  }
+  
+  // Excitation energy levels 
+  std::vector<G4double> ExcitEnergies;
+  // Spin of excitation energy levels 
+  std::vector<G4double> ExcitSpins;
+  
+  std::vector<G4double> ExcitLifetimes;
+  
 };
 
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4O14GEMChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4O14GEMChannel.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4O14GEMChannel.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4O14GEMChannel.hh,v 1.3 2006/06/29 20:19:29 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4O14GEMChannel.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4O14GEMCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4O14GEMCoulombBarrier.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4O14GEMCoulombBarrier.hh	(revision 1196)
@@ -25,20 +25,28 @@
 //
 //
-// $Id: G4O14GEMCoulombBarrier.hh,v 1.3 2006/06/29 20:19:31 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4O14GEMCoulombBarrier.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Dec 1999)
-
+//
+//J.M. Quesada (July 2009) Coulomb barrier now derives from new class G4GEMCoulombBarrier
+// strictly according to Furihata's report
+//
 #ifndef G4O14GEMCoulombBarrier_h
 #define G4O14GEMCoulombBarrier_h 1
 
-#include "G4GEMCoulombBarrierHE.hh"
+//#include "G4GEMCoulombBarrierHE.hh"
+#include "G4GEMCoulombBarrier.hh"
 #include "globals.hh"
 
-class G4O14GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+//JMQ 200709 now derives from new class G4GEMCoulombBarrier
+//class G4O14GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+class G4O14GEMCoulombBarrier : public G4GEMCoulombBarrier
 {
 public:
-  G4O14GEMCoulombBarrier() : G4GEMCoulombBarrierHE(14,8) {};
+//JMQ 200709
+//  G4O14GEMCoulombBarrier() : G4GEMCoulombBarrierHE(14,8) {};
+  G4O14GEMCoulombBarrier() : G4GEMCoulombBarrier(14,8) {};
   ~G4O14GEMCoulombBarrier() {};
 
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4O14GEMProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4O14GEMProbability.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4O14GEMProbability.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4O14GEMProbability.hh,v 1.3 2006/06/29 20:19:33 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4O14GEMProbability.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4O15GEMChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4O15GEMChannel.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4O15GEMChannel.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4O15GEMChannel.hh,v 1.3 2006/06/29 20:19:35 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4O15GEMChannel.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4O15GEMCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4O15GEMCoulombBarrier.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4O15GEMCoulombBarrier.hh	(revision 1196)
@@ -25,20 +25,28 @@
 //
 //
-// $Id: G4O15GEMCoulombBarrier.hh,v 1.3 2006/06/29 20:19:37 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4O15GEMCoulombBarrier.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Dec 1999)
-
+//
+//J.M. Quesada (July 2009) Coulomb barrier now derives from new class G4GEMCoulombBarrier
+// strictly according to Furihata's report
+//
 #ifndef G4O15GEMCoulombBarrier_h
 #define G4O15GEMCoulombBarrier_h 1
 
-#include "G4GEMCoulombBarrierHE.hh"
+//#include "G4GEMCoulombBarrierHE.hh"
+#include "G4GEMCoulombBarrier.hh"
 #include "globals.hh"
 
-class G4O15GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+//JMQ 200709 now derives from new class G4GEMCoulombBarrier
+//class G4O15GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+class G4O15GEMCoulombBarrier : public G4GEMCoulombBarrier
 {
 public:
-  G4O15GEMCoulombBarrier() : G4GEMCoulombBarrierHE(15,8) {};
+//JMQ 200709
+//  G4O15GEMCoulombBarrier() : G4GEMCoulombBarrierHE(15,8) {};
+  G4O15GEMCoulombBarrier() : G4GEMCoulombBarrier(15,8) {};
   ~G4O15GEMCoulombBarrier() {};
 
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4O15GEMProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4O15GEMProbability.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4O15GEMProbability.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4O15GEMProbability.hh,v 1.3 2006/06/29 20:19:39 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4O15GEMProbability.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4O16GEMChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4O16GEMChannel.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4O16GEMChannel.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4O16GEMChannel.hh,v 1.3 2006/06/29 20:19:41 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4O16GEMChannel.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4O16GEMCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4O16GEMCoulombBarrier.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4O16GEMCoulombBarrier.hh	(revision 1196)
@@ -25,20 +25,28 @@
 //
 //
-// $Id: G4O16GEMCoulombBarrier.hh,v 1.3 2006/06/29 20:19:43 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4O16GEMCoulombBarrier.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Dec 1999)
-
+//
+//J.M. Quesada (July 2009) Coulomb barrier now derives from new class G4GEMCoulombBarrier
+// strictly according to Furihata's report
+//
 #ifndef G4O16GEMCoulombBarrier_h
 #define G4O16GEMCoulombBarrier_h 1
 
-#include "G4GEMCoulombBarrierHE.hh"
+//#include "G4GEMCoulombBarrierHE.hh"
+#include "G4GEMCoulombBarrier.hh"
 #include "globals.hh"
 
-class G4O16GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+//JMQ 200709 now derives from new class G4GEMCoulombBarrier
+//class G4O16GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+class G4O16GEMCoulombBarrier : public G4GEMCoulombBarrier
 {
 public:
-  G4O16GEMCoulombBarrier() : G4GEMCoulombBarrierHE(16,8) {};
+//JMQ 200709
+//  G4O16GEMCoulombBarrier() : G4GEMCoulombBarrierHE(16,8) {};
+  G4O16GEMCoulombBarrier() : G4GEMCoulombBarrier(16,8) {};
   ~G4O16GEMCoulombBarrier() {};
 
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4O16GEMProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4O16GEMProbability.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4O16GEMProbability.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4O16GEMProbability.hh,v 1.3 2006/06/29 20:19:45 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4O16GEMProbability.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4O17GEMChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4O17GEMChannel.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4O17GEMChannel.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4O17GEMChannel.hh,v 1.3 2006/06/29 20:19:47 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4O17GEMChannel.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4O17GEMCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4O17GEMCoulombBarrier.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4O17GEMCoulombBarrier.hh	(revision 1196)
@@ -25,20 +25,28 @@
 //
 //
-// $Id: G4O17GEMCoulombBarrier.hh,v 1.3 2006/06/29 20:19:49 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4O17GEMCoulombBarrier.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Dec 1999)
-
+//
+//J.M. Quesada (July 2009) Coulomb barrier now derives from new class G4GEMCoulombBarrier
+// strictly according to Furihata's report
+//
 #ifndef G4O17GEMCoulombBarrier_h
 #define G4O17GEMCoulombBarrier_h 1
 
-#include "G4GEMCoulombBarrierHE.hh"
+//#include "G4GEMCoulombBarrierHE.hh"
+#include "G4GEMCoulombBarrier.hh"
 #include "globals.hh"
 
-class G4O17GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+//JMQ 200709 now derives from new class G4GEMCoulombBarrier
+//class G4O17GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+class G4O17GEMCoulombBarrier : public G4GEMCoulombBarrier
 {
 public:
-  G4O17GEMCoulombBarrier() : G4GEMCoulombBarrierHE(17,8) {};
+//JMQ 200709
+//  G4O17GEMCoulombBarrier() : G4GEMCoulombBarrierHE(17,8) {};
+  G4O17GEMCoulombBarrier() : G4GEMCoulombBarrier(17,8) {};
   ~G4O17GEMCoulombBarrier() {};
 
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4O17GEMProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4O17GEMProbability.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4O17GEMProbability.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4O17GEMProbability.hh,v 1.3 2006/06/29 20:19:51 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4O17GEMProbability.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4O18GEMChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4O18GEMChannel.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4O18GEMChannel.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4O18GEMChannel.hh,v 1.3 2006/06/29 20:19:53 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4O18GEMChannel.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
